当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 143 篇帖子 ]  前往页数 上一页  1 ... 5, 6, 7, 8, 9, 10  下一页
作者 内容
106 楼 
 文章标题 :
帖子发表于 : 2007-08-14 10:36 

注册: 2007-03-08 9:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
首先对LZ的工作表示感谢。:)

我用LZ的方法成功了的感受了一把Emacs.

1.

纠正一个小小的错误:
(load-file "/home/zhan/myEmacs/color-theme.el")
(color-theme-darkblue);选择 darkblue的配色方案

应该是:

(load-file "/home/zhan/myEmacs/color-theme.el")
(color-theme-dark-blue);选择 darkblue的配色方案

另外切换颜色主题的时候color-theme-这个后面的必须是小写字母,否则会报错。

2.

我在.configure的时候出现了很多lib找不到的情况

configure: error: The following required libraries was not found:
libXpm libjpeg libgif/libungif libtiff
Maybe some development libraries/packages are missing?
If you don't want to link with them give
--with-xpm=no --with-jpeg=no --with-gif=no --with-tiff=no
as options to configure

我天真的以为类似这样就可以了:
sudo apt-get install libXpm

其实不然...步骤是先google ubuntu libxpm,然后就会看到一些类似libxpm*包.我是一个一个的下载安装。然后从新configure就有几个lib不在找不到的list中;循环几次就搞定。 :)


页首
 用户资料  
 
107 楼 
 文章标题 :
帖子发表于 : 2007-08-15 16:23 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
xmp123 写道:
首先对LZ的工作表示感谢。:)

我用LZ的方法成功了的感受了一把Emacs.

1.

纠正一个小小的错误:
(load-file "/home/zhan/myEmacs/color-theme.el")
(color-theme-darkblue);选择 darkblue的配色方案

应该是:

(load-file "/home/zhan/myEmacs/color-theme.el")
(color-theme-dark-blue);选择 darkblue的配色方案

另外切换颜色主题的时候color-theme-这个后面的必须是小写字母,否则会报错。

谢谢提出,已经更正
引用:
2.

我在.configure的时候出现了很多lib找不到的情况

configure: error: The following required libraries was not found:
libXpm libjpeg libgif/libungif libtiff
Maybe some development libraries/packages are missing?
If you don't want to link with them give
--with-xpm=no --with-jpeg=no --with-gif=no --with-tiff=no
as options to configure

我天真的以为类似这样就可以了:
sudo apt-get install libXpm

其实不然...步骤是先google ubuntu libxpm,然后就会看到一些类似libxpm*包.我是一个一个的下载安装。然后从新configure就有几个lib不在找不到的list中;循环几次就搞定。 :)

呵呵,其实不然,正确的办法是先看 config.log 找到究竟是那个包,或究竟式哪个文件没有找到而报的错误,
同时可以搜索 apt 比如 apt-cache search libxpm 就可以看到 libxpm 的那些包,不用 google ubuntu libxpm, 同时编译需要的包一般都是带 -dev 的包,比如 libxpm-dev 等。
如果是头文件找不到而报的错误的话,要找包的名字使用 apt-file 是最好的了。
比如是 xpm.h 找不到而报的错误,那么这样操作
代码:
zhan@mylinux:~$ apt-file search xpm.h
gnome-dev-doc: usr/share/doc/gnome-dev-doc/html/C/gnome-stock-xpm.html
gromacs-doc: usr/share/doc/gromacs/html/online/xpm.html
libafterimage-dev: usr/include/libAfterImage/xpm.h
libtk-img: usr/share/doc/libtk-img/html/img-xpm.html
libxpm-dev: usr/include/X11/xpm.h
octave2.1-htmldoc: usr/share/doc/octave2.1-htmldoc/interpreter/doc_002dexpm.html
octave2.9-htmldoc: usr/share/doc/octave2.9-htmldoc/interpreter/doc_002dexpm.html
php-doc: usr/share/doc/php-doc/html/function.imagecreatefromxpm.html
r-cran-matrix: usr/lib/R/site-library/Matrix/html/expm.html
scilab-doc: usr/lib/scilab-4.1.1/man/eng/linear/expm.htm
scilab-doc: usr/lib/scilab-4.1.1/man/fr/linear/expm.htm
wx2.4-headers: usr/include/wx/imagxpm.h
wx2.6-headers: usr/include/wx-2.6/wx/imagxpm.h
wx2.8-headers: usr/include/wx-2.8/wx/imagxpm.h
xen-doc-2.6.16: usr/share/doc/xen-doc-2.6.16/Documentation/sound/oss/cs46xxpm.h

当然有很多垃圾在里面,可以使用 regexp 来进行更准确的搜索。基本上就可以确定是哪个包了。


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
108 楼 
 文章标题 :
帖子发表于 : 2007-08-16 14:16 

注册: 2007-03-08 9:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
谢谢耐心的Zhan兄。受益匪浅。


页首
 用户资料  
 
109 楼 
 文章标题 :
帖子发表于 : 2007-08-16 14:20 

注册: 2007-03-08 9:36
帖子: 21
送出感谢: 0 次
接收感谢: 0 次
我尝试完Emacs以后,最大的感觉是emacs的附加零件跟Eclipse里面众多的plug-ins在某种程度上感觉有些类似.
即插即用.-大家好才是真的好。 :)


页首
 用户资料  
 
110 楼 
 文章标题 :
帖子发表于 : 2007-09-11 18:40 
头像

注册: 2007-08-24 17:46
帖子: 379
送出感谢: 16
接收感谢: 2
输入的中文,都像是韩文似的,这怎么办啊?
我是直接安lz的方法从网上安装的


页首
 用户资料  
 
111 楼 
 文章标题 :
帖子发表于 : 2007-10-22 9:41 

注册: 2007-09-06 16:24
帖子: 193
地址: 中国上海
送出感谢: 0 次
接收感谢: 0 次
超强贴,吸收中哈。。。


页首
 用户资料  
 
112 楼 
 文章标题 :
帖子发表于 : 2007-11-01 16:28 

注册: 2007-11-01 16:19
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
有意思


页首
 用户资料  
 
113 楼 
 文章标题 :
帖子发表于 : 2007-12-17 2:57 

注册: 2006-08-30 23:02
帖子: 16
送出感谢: 0 次
接收感谢: 0 次
完全按照楼上的来的,重新编译的好几此都不行。以前曾经编译成功过,难道是cvs的源码出现问题了??

已经解决了 ./configure --prefix=/usr/local --with-x-toolkit=gtk --enable-font-backend --with-xft --with-freetype


附件:
Screenshot.png
Screenshot.png [ 128.42 KiB | 被浏览 6761 次 ]

页首
 用户资料  
 
114 楼 
 文章标题 :
帖子发表于 : 2008-01-09 17:10 

注册: 2007-12-26 11:02
帖子: 166
送出感谢: 0 次
接收感谢: 0 次
:lol: :lol: :lol:

好东东,对于我说说太复杂了,。。

先mark emacs 配置


页首
 用户资料  
 
115 楼 
 文章标题 : 我的问题
帖子发表于 : 2008-01-11 15:21 

注册: 2007-11-06 12:02
帖子: 42
送出感谢: 0 次
接收感谢: 0 次
[code]
vivid@vivid-desktop:~/emacs$ ./configure --prefix=/usr --enable-font-backend --with-xft --with-freetype --with-gtk
checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking for gcc... gcc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for AIX... no
checking whether gcc understands -Wno-pointer-sign... yes
checking whether ln -s works... yes
checking how to run the C preprocessor... gcc -E
checking for a BSD-compatible install... /usr/bin/install -c
checking for ranlib... ranlib
checking for install-info... /usr/sbin/install-info
checking for install-info... (cached) /usr/sbin/install-info
checking for install-info... (cached) /usr/sbin/install-info
checking for gzip... /bin/gzip
checking for makeinfo... no
configure: error: makeinfo >= 4.6 is required

是不是还有什么依赖的包?


页首
 用户资料  
 
116 楼 
 文章标题 :
帖子发表于 : 2008-01-11 15:53 
头像

注册: 2005-08-15 0:04
帖子: 1880
地址: 南7技校
送出感谢: 0 次
接收感谢: 0 次
貌似是
texinfo


_________________
飞得高,飞得低,学习再学习,多少大秘密!
http://zhan.blog.ubuntu.org.cn


页首
 用户资料  
 
117 楼 
 文章标题 :
帖子发表于 : 2008-02-20 17:14 

注册: 2007-03-25 14:08
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
Symbol's function definition is void: easy-menu-define
make[2]: *** [bootstrap-emacs] 错误 255
make[2]: Leaving directory `/home/wuyang/emacs/src'
make[1]: *** [bootstrap-build] 错误 2
make[1]: Leaving directory `/home/wuyang/emacs'
make: *** [bootstrap] 错误 2

这个问题哦。。。
前面有兄弟说 装个 txtinfo, 可找不到这个软件包, 是不是包名字错了。
HELP。。。


页首
 用户资料  
 
118 楼 
 文章标题 :
帖子发表于 : 2008-02-20 17:22 

注册: 2007-03-25 14:08
帖子: 11
送出感谢: 0 次
接收感谢: 0 次
如果是texinfo,那我已经更新到最高了


页首
 用户资料  
 
119 楼 
 文章标题 : Re:emacs配置指南
帖子发表于 : 2008-04-09 11:05 

注册: 2008-04-08 15:39
帖子: 1
送出感谢: 0 次
接收感谢: 0 次
这个帖子真实不错,照着配置了一下,emacs果然强大了很多,也漂亮了许多,谢谢楼主.


页首
 用户资料  
 
120 楼 
 文章标题 :
帖子发表于 : 2008-04-21 11:24 

注册: 2007-08-11 16:57
帖子: 49
送出感谢: 0 次
接收感谢: 0 次
make: *** No rule to make target `bootstrap'. Stop.

how to solve this problem?? anybody help me ?


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 143 篇帖子 ]  前往页数 上一页  1 ... 5, 6, 7, 8, 9, 10  下一页

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译